﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleAppointmentTime
{
	public class TestingSample : ContentPage
	{
		public TestingSample()
		{
			SfSchedule schedule = new SfSchedule();
			ScheduleAppointment appointment = new ScheduleAppointment();
			ScheduleAppointmentCollection scheduleAppointmentCollection = new ScheduleAppointmentCollection();

			DateTime currentDate = DateTime.Now;
			DateTime startTime = new DateTime(2016, 7, 30, 22, 0, 0);
			DateTime endTime = new DateTime(2016, 7, 31, 0, 0, 0);

			//DateTime startTime = DateTime.ParseExact(appointment.starttime_dt, "yyyy-MM-dd HH:mm:ss",
			//						System.Globalization.CultureInfo.InvariantCulture, System.Globalization.DateTimeStyles.None);
			//DateTime endTime = DateTime.ParseExact(appointment.endtime_dt, "yyyy-MM-dd HH:mm:ss", System.Globalization.CultureInfo.InvariantCulture, System.Globalization.DateTimeStyles.None);
			//DateTime endTime = new DateTime(startTime.Year, startTime.Month, startTime.Day, 0, 0, 0);
			//DateTime endTime = new DateTime(startTime.Year, startTime.Month, startTime.Day + 1, 0, 0, 0);

			appointment.Subject = "Meeting";
			appointment.Color = Color.Red;
			appointment.StartTime = startTime;
			appointment.EndTime = endTime;
			scheduleAppointmentCollection.Add(appointment);
			schedule.DataSource = scheduleAppointmentCollection;

			this.Content = schedule;

		}
	}
}


